=== debian/changelog ===
nexus (4.4.3-9) unstable; urgency=medium

  * Fix debian/not-installed for different architectures
    (and include the commit in the upload this time)

 -- Stuart Prescott <stuart@debian.org>  Fri, 26 Sep 2025 16:02:07 +1000

nexus (4.4.3-8) unstable; urgency=medium

  * Fix FTBFS with CMake 4 (Closes: #1113321).
  * Mark libnexus1 as Multi-Arch: same.
  * Switch to debhelper compat 13.
  * Fix FSF address in debian/copyright.
  * Drop unneeded linker flags.

 -- Stuart Prescott <stuart@debian.org>  Sat, 20 Sep 2025 14:24:54 +1000

nexus (4.4.3-7) unstable; urgency=medium

  * Team upload.
  * Fix Team name
  * Replace obsolete pkg-config with pkg-conf
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 19:44:20 +0200

nexus (4.4.3-6) unstable; urgency=medium

  * Update Standards-Version to 4.6.2 (no changes required).
  * Update debian/watch for github changes.
  * Add .class file to debian/clean to ensure clean target cleans everything
    (Closes: #1048825)

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Oct 2023 11:48:16 +1100

nexus (4.4.3-5) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes:  #982027)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 17 Apr 2021 22:59:32 +0200

nexus (4.4.3-4) unstable; urgency=medium

  * Add patch from upstream to not use functions deprecated from libxml2
    (Closes: #949419).
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 23 Feb 2020 11:02:53 +1100

nexus (4.4.3-3) unstable; urgency=medium

  * Try to fix random FTBFS:
    - add an extra dependency on creation of the header file
    - don't run tests in parallel to prevent them stomping over shared files

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Dec 2019 20:41:51 +1100

nexus (4.4.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing Breaks+Replaces on libnexus0-java (Closes: #942336), with
    thanks to Andreas Beckmann and piuparts.
  * Update Standards-Version to 4.4.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Dec 2019 13:35:02 +1100

nexus (4.4.3-1) experimental; urgency=medium

  * New upstream release.
    - drop patches incorporated upstream.
    - drop patches for old build system.
    - change to cmake build system.
    - drop python-nxs package that is now a separate source (Closes: #896357,
      #937134).
    - stop building against MXML 3.0 until compatibility can be restored
      (Closes: #940108).
    - patch build system to handle newer Java (Closes: #893383).
  * Use debhelper-compat 12.
  * Update Standards-Version to 4.4.0 (no changes required).
  * Add autopkgtest tests.
  * Set Rules-Requires-Root: no.
  * Add myself to Uploaders.

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Sep 2019 23:33:22 +1000
