=== debian/rules ===
#!/usr/bin/make -f

# Enable additional hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_HDF5=1 -DENABLE_HDF4=1 -DENABLE_APPS=1 -DENABLE_CXX=1 -DENABLE_JAVA=1 -DCMAKE_POLICY_VERSION_MINIMUM=3.5
# 	-DENABLE_MXML=1
# mxml 3.x breaks nexus, so disable it
# see https://github.com/nexusformat/code/issues/465

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/jni
