=== debian/tests/control ===
Tests: nexus-tools
Depends:
 nexus-tools,

Tests: libnexus-dev
Depends:
 build-essential,
 cmake,
 libnexus-dev,
 pkg-config,

Tests: libnexus-java
Depends:
 libnexus-java,
 default-jdk-headless,
